LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Error 1046 Labview-Scilab Gateway (LV 2017 & Scilab 6.0.0)

Solved!
Go to solution

I'm getting Error 1046, "Labview Cannot Initialize the Script Server" when trying to run any scilab script with the gateway, including their provided example. I've tried installing and un-installing both 32 and 64 bit versions of the gateway and scilab, and currently have both installed at the same time and I still get the error. This is on Labview 2017 and Scilab 6.0.0 is installed. 

 

Is there anything else I have to do to get labview to understand how to run scilab? The documentation leads me to believe all you need to do is install Scilab and the gateway, but is there something obvious I'm missing? 

0 Kudos
Message 1 of 3
(2,633 Views)
Solution
Accepted by topic author Glibby1234

To anyone else wondering about this, I found some buried references that Scilab 6.0.0 is not compatible with the gateway. Un-installed and downgraded to 5.5.2 and it worked first try. 

Message 2 of 3
(2,608 Views)

I had the same problem with LV 2019 (64 bit) and Scilab 6.0.2 (64 bit). Downgrading Scilab to version 5.2.2 solved it as described.

Thanks!

0 Kudos
Message 3 of 3
(1,496 Views)